## org.h2.index
Interface RowIndex

All Superinterfaces:
  DbObject, Index, SchemaObject

All Known Implementing Classes:
  PageDataIndex, ScanIndex

    public interface RowIndex

extends Index

An index that can address individual rows directly.

Field Summary

Fields inherited from interface org.h2.index.Index
`EMPTY_HEAD`

Fields inherited from interface org.h2.engine.DbObject
`AGGREGATE, COMMENT, CONSTANT, CONSTRAINT, FUNCTION_ALIAS, INDEX, RIGHT, ROLE, SCHEMA, SEQUENCE, SETTING, TABLE_OR_VIEW, TRIGGER, USER, USER_DATATYPE`

Method Summary
`Row` `getRow(Session session, long key)` Get the row with the given key.

Methods inherited from interface org.h2.index.Index

`add, canFindNext, canGetFirstOrLast, close, commit, compareKeys, compareRows, containsNullAndAllowMultipleNull, find, findFirstOrLast, findNext, getColumnIndex, getColumnListSQL, getColumns, getCost, getCostRangeIndex, getDuplicateKeyException, getIndexColumns, getIndexType, getLookupCost, getPlanSQL, getRootPageId, getRowCount, getRowCountApproximation, getTable, needRebuild, remove, remove, truncate`

Methods inherited from interface org.h2.schema.SchemaObject
`getSchema`

Methods inherited from interface org.h2.engine.DbObject
`checkRename, getChildren, getComment, getCreateSQL, getCreateSQLForCopy, getDatabase, getDropSQL, getHeadPos, getId, getModificationId, getName, getSQL, getType, isTemporary, removeChildrenAndResources, rename, setComment, setModified, setTemporary`

Method Detail

### getRow

    Row getRow(Session session,
               long key)
               throws java.sql.SQLException

  Get the row with the given key.

  Parameters:
    `session` - the session
    `key` - the unique key
  Returns:
    the row
  Throws:
    `java.sql.SQLException`